<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">

<mapper namespace="com.tofly.xrtygis.mapper.CostbgunitMapper">

    <resultMap id="costbgunitMap" type="com.tofly.xrtygis.entity.Costbgunit">
        <id property="id" column="ID"/>
        <result property="yearId" column="YEAR_ID"/>
        <result property="month" column="MONTH"/>
        <result property="pacdhOne" column="PACDH_ONE"/>
        <result property="pacdhTwo" column="PACDH_TWO"/>
        <result property="sydhOne" column="SYDH_ONE"/>
        <result property="yldhTwo" column="YLDH_TWO"/>
        <result property="dhOne" column="DH_ONE"/>
        <result property="dhTwo" column="DH_TWO"/>
        <result property="dhTotal" column="DH_TOTAL"/>
        <result property="createTime" column="CREATE_TIME"/>
        <result property="createUser" column="CREATE_USER"/>
        <result property="cndhTwo" column="CNDH_TWO"/>
        <result property="updateTime" column="UPDATE_TIME"/>
        <result property="otherdh" column="OTHERDH"/>
        <result property="otherOneDh" column="OTHER_ONE_DH"/>
        <result property="otherTwoDh" column="OTHER_TWO_DH"/>
        <association property="createUserName" column="CREATE_USER"
                     select="com.tofly.baseapi.mapper.ToflyCodeCommonMapper.getUserName"/>
    </resultMap>


</mapper>
